<?php

if (empty($_GET['id'])) {
   header("Location: " . $wo['config']['site_url']);
   exit();
}

$source = Wo_GetQuestions(array('id' => $_GET['id']));
if (empty($source)) {
   header("Location: " . $wo['config']['site_url']);
   exit();
}
$source = $source[0];

?>
<div class="container-fluid">
    <div class="block-header">
        <h2>Manage Features > Questions > Edit Question </h2>
    </div>
    <!-- Vertical Layout -->
    <div class="row">
        <div class="col-lg-6 col-md-6">
            <div class="card">
                <div class="header">
                    <h2>Edit Movie</h2>
                </div>
                <div class="body">
                    <div class="" id="question-alert"></div>
                    <form class="newforum" method="POST" id="edit-question">
                        
                        <div class="form-group form-float">
                            <div class="form-line">
                                <textarea name="question" id="question" class="form-control" cols="30" rows="3"><?php echo strip_tags(preg_replace('~<a(.*?)</a>~Usi', '', PostMarkup($source['question'])));?></textarea>
                                <label class="form-label">Question</label>
                            </div>
                        </div>
                        <br>
                                <label>Question display mode</label>
                                <div class="form-group">
                                    <input type="radio" name="is_anonymously" id="is_anonymously-enabled" value="1" <?php if( $source['is_anonymously'] == 1 ){ echo ' checked=""'; }?>>
                                    <label for="is_anonymously-enabled">Anonymously</label>
                                    <input type="radio" name="is_anonymously" id="is_anonymously-disabled" value="0" <?php if( $source['is_anonymously'] == 0 ){ echo ' checked=""'; }?>>
                                    <label for="is_anonymously-disabled" class="m-l-20">Public</label>
                                </div>
                        <input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
                        <input type="hidden" name="question_id" value="<?php echo $source['id'];?>">
                        <button type="submit" id="upload-question" class="btn btn-primary m-t-15 waves-effect">Save & Publish</button>
                    </form>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
    <!-- #END# Vertical Layout -->
<script>

	jQuery(document).ready(function($) {
		
	    $('#edit-question').ajaxForm({
		  url: Wo_Ajax_Requests_File() + '?f=questions&s=edit_normal',
	      type:"POST",
	      success: function(data) {
	        if (data['status'] == 200) {
	          $("#question-alert").html('<div class="alert alert-success">'+ data['message'] +'</div>');
	        } 
	        else if (data['message']) {
	          $("#question-alert").html('<div class="alert alert-danger">' + data['message'] + '</div>');
	        } 
	      }});
	    
	});

</script>